#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-call-hierarchy-plugin
version:              1.0.1.0
visibility:           public
id:                   hls-call-hierarchy-plugin-1.0.1.0-9EISCzR5RzDEC0H1msmfrB
key:                  hls-call-hierarchy-plugin-1.0.1.0-9EISCzR5RzDEC0H1msmfrB
license:              Apache-2.0
maintainer:           julytreee@gmail.com
author:               Lei Zhu
synopsis:             Call hierarchy plugin for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server/tree/master/plugins/hls-call-hierarchy-plugin#readme>

category:             Development
abi:                  6825e15a9b57a76a2dcb898121ba400f
exposed:              True
exposed-modules:      Ide.Plugin.CallHierarchy
hidden-modules:
    Ide.Plugin.CallHierarchy.Internal Ide.Plugin.CallHierarchy.Query
    Ide.Plugin.CallHierarchy.Types

import-dirs:
    /usr/lib/ghc-9.0.2/site-local/hls-call-hierarchy-plugin-1.0.1.0

library-dirs:
    /usr/lib/ghc-9.0.2/site-local/hls-call-hierarchy-plugin-1.0.1.0

dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-call-hierarchy-plugin
hs-libraries:         HShls-call-hierarchy-plugin-1.0.1.0-9EISCzR5RzDEC0H1msmfrB
depends:
    aeson-1.5.6.0-ByG4maisB6W4LqbYiVYaDZ base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    extra-1.7.10-HSRmSjpfi0b20DVd5qjBWY ghc-9.0.2
    ghc-api-compat-8.6.1-F4jVXTaEYzcGEcFzzf0nwC
    ghcide-1.4.2.3-4GOGdzlWgdh3SoWTuQ4H0D
    hiedb-0.4.1.0-HMVsqvF82nFAY2vtltUfqv
    hls-plugin-api-1.2.0.1-6mQkSIhu5S7LOQpmMOb8rb
    lens-5.1.1-4M5zSd24oOB3ODyeRSY1iF lsp-1.2.0.1-9qgXh1pld3EpIw5SwOd4P
    sqlite-simple-0.4.18.2-9phGRYuXNlF2vm9j56lV3s text-1.2.5.0
    unordered-containers-0.2.19.1-Egpruffujfv1ZeuVmASDK2

haddock-interfaces:
    /usr/share/doc/haskell-hls-call-hierarchy-plugin/html/hls-call-hierarchy-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-call-hierarchy-plugin/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

